/linkedin/post
curl --request POST \
--url https://api.anysite.io/api/linkedin/post \
--header 'Content-Type: application/json' \
--header 'access-token: <api-key>' \
--data '
{
"urn": "<string>",
"timeout": 300
}
'import requests
url = "https://api.anysite.io/api/linkedin/post"
payload = {
"urn": "<string>",
"timeout": 300
}
headers = {
"access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({urn: '<string>', timeout: 300})
};
fetch('https://api.anysite.io/api/linkedin/post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"urn": {
"value": "<string>"
},
"url": "<string>",
"@type": "LinkedinPost",
"share_url": "<string>",
"author": {
"internal_id": {
"value": "<string>"
},
"name": "<string>",
"alias": "<string>",
"url": "<string>",
"@type": "LinkedinUserPostUser",
"urn": {
"value": "<string>"
},
"headline": "<string>",
"image": "<string>"
},
"created_at": 0,
"share_urn": {
"value": "<string>"
},
"is_empty_repost": true,
"repost": {
"urn": {
"value": "<string>"
},
"url": "<string>",
"@type": "LinkedinSearchPost",
"share_url": "<string>",
"author": {
"internal_id": {
"value": "<string>"
},
"name": "<string>",
"alias": "<string>",
"url": "<string>",
"@type": "LinkedinUserPostUser",
"urn": {
"value": "<string>"
},
"headline": "<string>",
"image": "<string>"
},
"created_at": 0,
"share_urn": {
"value": "<string>"
},
"is_empty_repost": true,
"repost": null,
"images": [
"<string>"
],
"video_url": "<string>",
"text": "<string>",
"comment_count": 123,
"share_count": 123,
"reactions": [
{
"count": 123,
"@type": "LinkedinReaction"
}
],
"article": {
"url": "<string>",
"urn": {
"value": "<string>"
},
"@type": "LinkedinUserPostArticle",
"image": "<string>",
"subtitle": "<string>"
},
"link": {
"url": "<string>",
"@type": "LinkedinPostLink",
"image": "<string>",
"subtitle": "<string>"
},
"document": {
"urn": {
"type": "<string>",
"value": "<string>"
},
"url": "<string>",
"@type": "LinkedinUserPostDocument",
"cover_images": [
"<string>"
],
"images": [
"<string>"
],
"total_images_count": 123
},
"mentioned": [
{
"name": "<string>",
"alias": "<string>",
"url": "<string>",
"@type": "LinkedinSearchPostMentionedUser"
}
]
},
"images": [
"<string>"
],
"video_url": "<string>",
"text": "<string>",
"comment_count": 123,
"share_count": 123,
"reactions": [
{
"count": 123,
"@type": "LinkedinReaction"
}
],
"article": {
"url": "<string>",
"urn": {
"value": "<string>"
},
"@type": "LinkedinUserPostArticle",
"image": "<string>",
"subtitle": "<string>"
},
"link": {
"url": "<string>",
"@type": "LinkedinPostLink",
"image": "<string>",
"subtitle": "<string>"
},
"document": {
"urn": {
"type": "<string>",
"value": "<string>"
},
"url": "<string>",
"@type": "LinkedinUserPostDocument",
"cover_images": [
"<string>"
],
"images": [
"<string>"
],
"total_images_count": 123
},
"mentioned": [
{
"name": "<string>",
"alias": "<string>",
"url": "<string>",
"@type": "LinkedinSearchPostMentionedUser"
}
],
"event": {
"url": "<string>",
"@type": "LinkedinPostEvent",
"image": "<string>",
"date": "<string>",
"participant_count": 123
}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}LinkedIn Posts
/linkedin/post
Linkedin Get Post Details
Price: 1 credit
⚠️ Common errors: 412: Post not found. Verify the activity URN or post URL.
POST
/
api
/
linkedin
/
post
/linkedin/post
Authorizations
API token from the dashboard
Headers
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I